#!/usr/bin/tclsh
#
# xL-udrcompare v0.5
#
# (C) 2003 xoLax

bind pub -|- !altopratio pub:altopratio
bind pub -|- !mntopratio pub:mntopratio
bind pub -|- !wktopratio pub:wktopratio
bind pub -|- !daytopratio pub:daytopratio

bind msg -|- !altopratio msg:altopratio
bind msg -|- !mntopratio msg:mntopratio
bind msg -|- !wktopratio msg:wktopratio
bind msg -|- !daytopratio msg:daytopratio


set udrcbin {/glftpd/bin/xl-udrcompare.sh}


proc pub:altopratio {nick output binary chan text} {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin ALL $ULIMIT] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}
proc pub:mntopratio {nick output binary chan text} {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin MONTH $ULIMIT] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}
proc pub:wktopratio {nick output binary chan text} {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin WEEK $ULIMIT] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}
proc pub:daytopratio {nick output binary chan text} {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin DAY $ULIMIT] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}


proc msg:altopratio { nick host hand text } {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin ALL $ULIMIT] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}
proc msg:mntopratio { nick host hand text } {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin MONTH $ULIMIT] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}
proc msg:wktopratio { nick host hand text } {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin WEEK $ULIMIT] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}
proc msg:daytopratio { nick host hand text } {
 global udrcbin
 set ULIMIT [lindex $text 0]
 foreach line [split [exec $udrcbin DAY $ULIMIT] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}

putlog "xL-udrcompare v0.5 by xoLax loaded"
